OptiView Ads SDK
    Preparing search index...

    Interface VastAsset

    VAST asset, played by Google IMA as CSAI. SGAI only, linear formats only (single, double, lshape_ad).

    interface VastAsset {
        assetParameters?: Record<string, string>;
        duration?: number;
        id: string;
        interaction?: Interaction;
        mediaType: MediaType;
        mimeType?: string;
        type: VAST;
        uri: string | AssetUri[];
    }

    Hierarchy

    • BaseAsset
      • VastAsset
    Index
    assetParameters?: Record<string, string>

    Query parameters the player appends to the VAST tag URL. Values may be $NAME$ macros ($OPTIVIEW_*$ built-ins or customer-registered ones).

    duration?: number

    The maximum duration of the asset in seconds

    id: string

    The identifier of the asset, unique within the break

    interaction?: Interaction

    Interaction options

    mediaType: MediaType

    The media type, video or image

    mimeType?: string

    The mime type of the media

    type: VAST

    The type of the asset

    uri: string | AssetUri[]

    The VAST tag URL, or an array of URLs with targeting.